Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163454 - Can't upgrade from 2.6.11-1.1369_FC4 to 2.6.12-1.1398_FC4 due to some unresolved 2.6.12-1.1390_FC4 dependencies, and GFS-kernel is yet related to 2.6.11-1.1369_FC4 kernel
Summary: Can't upgrade from 2.6.11-1.1369_FC4 to 2.6.12-1.1398_FC4 due to some unresol...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-17 09:30 UTC by Alberto Planas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-26 18:34:41 UTC


Attachments (Terms of Use)

Description Alberto Planas 2005-07-17 09:30:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; es-ES; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
There are some modules that depend on two old kernels:

kernel-2.6.11-1.1369_FC4
  - GFS-kernel

kernel-2.6.12-1.1390_FC4
  - gnbd-kernel
  - dlm-kernel
  - cman-kernel

So when I try to update from 1369 to 1398 I get:

$ uname -a
Linux apdBox 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:56:33 EDT 2005 x86_64 x86_64 x86_64 GNU/Linux

$ su -c "yum update"
Password:
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kernel-devel.x86_64 0:2.6.12-1.1398_FC4 set to be installed
---> Package gnbd-kernel.x86_64 0:2.6.11.2-20050420.133124.FC4.42 set to be installed
---> Package kernel-doc.noarch 0:2.6.12-1.1398_FC4 set to be updated
---> Package kernel.x86_64 0:2.6.12-1.1398_FC4 set to be installed
---> Package cman-kernel.x86_64 0:2.6.11.5-20050601.152643.FC4.8 set to be installed
---> Package dlm-kernel.x86_64 0:2.6.11.5-20050601.152643.FC4.9 set to be installed
--> Running transaction check
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.12-1.1390_FC4 set to be installed
--> Running transaction check
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.12-1.1390_FC4 set to be installed
--> Running transaction check
Error: Unable to satisfy dependencies
Error: Package gnbd-kernel needs /lib/modules/2.6.12-1.1390_FC4, this is not available.
Error: Package dlm-kernel needs /lib/modules/2.6.12-1.1390_FC4, this is not available.
Error: Package cman-kernel needs /lib/modules/2.6.12-1.1390_FC4, this is not available.


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. yum update
2.
3.
  

Actual Results:  Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kernel-devel.x86_64 0:2.6.12-1.1398_FC4 set to be installed
---> Package gnbd-kernel.x86_64 0:2.6.11.2-20050420.133124.FC4.42 set to be installed
---> Package kernel-doc.noarch 0:2.6.12-1.1398_FC4 set to be updated
---> Package kernel.x86_64 0:2.6.12-1.1398_FC4 set to be installed
---> Package cman-kernel.x86_64 0:2.6.11.5-20050601.152643.FC4.8 set to be installed
---> Package dlm-kernel.x86_64 0:2.6.11.5-20050601.152643.FC4.9 set to be installed
--> Running transaction check
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.12-1.1390_FC4 set to be installed
--> Running transaction check
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.12-1.1390_FC4 set to be installed
--> Running transaction check
Error: Unable to satisfy dependencies
Error: Package gnbd-kernel needs /lib/modules/2.6.12-1.1390_FC4, this is not available.
Error: Package dlm-kernel needs /lib/modules/2.6.12-1.1390_FC4, this is not available.
Error: Package cman-kernel needs /lib/modules/2.6.12-1.1390_FC4, this is not available.


Additional info:

Comment 1 Kasper Dupont 2005-09-01 06:59:51 UTC
Why was this bug closed? I still see this problem with the updates available
from http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/


Note You need to log in before you can comment on or make changes to this bug.